const Router = require('@koa/router');
const router = new Router();

const logger = require('@/utils/logger');

const db = require('@/db');

router.get("/ping", async (ctx) => {
    const d = { t: Date.now(), s: 'ok' };
    try {
        await db.sequelize.authenticate();
        d.d = true;

    } catch (e) {
        d.d = false;
    }

    ctx.body = d;
});

// router.use("/v1/open", open.routes(), open.allowedMethods());

if (['dev'].indexOf(process.env.NODE_ENV) > -1) {
    router.stack.filter((r) => r.methods.length).forEach((r) => {
        logger.warn(`Method: ${r.methods.join('/')} Path: ${r.path}`);
    });
}

module.exports = router;